org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryCheckFailedMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryCheckFailedMessage

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryCheckFailedMessage
    extends TcpDiscoveryAbstractMessage

Message telling joining node that it failed coordinator's validation check.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryCheckFailedMessage()` Public default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryCheckFailedMessage(UUID creatorNodeId, String err)` Constructor.

### Method Summary

Methods
`String` `error()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryCheckFailedMessage

    public TcpDiscoveryCheckFailedMessage()

Public default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryCheckFailedMessage

    public TcpDiscoveryCheckFailedMessage(UUID creatorNodeId,
                                  String err)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `err` - Error message from coordinator.

### Method Detail

#### error

    public String error()

Returns:
  Error message from coordinator.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015